Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 792678 - media-video/mkvtoolnix-51.0.0 -- error: static assertion failed: invalid specialization
Summary: media-video/mkvtoolnix-51.0.0 -- error: static assertion failed: invalid spec...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-28 19:05 UTC by Gary E. Miller
Modified: 2021-08-20 00:56 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (media-video:mkvtoolnix-51.0.0:20210528-175740.log,346.11 KB, text/plain)
2021-05-28 19:06 UTC, Gary E. Miller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gary E. Miller 2021-05-28 19:05:38 UTC
Fails to emerge :


/usr/lib/gcc/x86_64-pc-linux-gnu/11.1.0/include/g++-v11/ext/numeric_traits.h:64:53: error: static assertion failed: invalid specialization
   64 |       static_assert(__is_integer_nonstrict<_Value>::__value,
      |                                                     ^~~~~~~
compilation terminated due to -Wfatal-errors.


Reproducible: Always

Steps to Reproduce:
1. emerge media-video/mkvtoolnix-51.0.0::gentoo




spidey ~ # emerge -pqv '=media-video/mkvtoolnix-51.0.0::gentoo'
[ebuild     U ] media-video/mkvtoolnix-51.0.0 [49.0.0] USE="dbus dvd pch qt5 -debug -nls -test" 
spidey ~ # emerge --info '=media-video/mkvtoolnix-51.0.0::gentoo'
Portage 3.0.18 (python 3.8.9-final-0, default/linux/amd64/17.1, gcc-11.1.0, glibc-2.32-r7, 5.12.4-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.12.4-gentoo-x86_64-Intel-R-_Xeon-R-_CPU_E5-1620_v3_@_3.50GHz-with-glibc2.2.5
KiB Mem:    16274396 total,  14004860 free
KiB Swap:   33554428 total,  33554428 free
Timestamp of repository gentoo: Fri, 28 May 2021 16:45:01 +0000
Head commit of repository gentoo: 70d54e01a32b8e207167234b5876aa6fe0e97164
sh bash 5.1_p8
ld GNU ld (Gentoo 2.35.2 p1) 2.35.2
distcc[4564] (dcc_trace_version) distcc 3.3.3 x86_64-pc-linux-gnu; built Mar  3 2021 10:30:18 [disabled]
ccache version 4.2.1 [disabled]
app-shells/bash:          5.1_p8::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.32.1::gentoo
dev-lang/python:          2.7.18_p9::gentoo, 3.7.10_p3::gentoo, 3.8.9_p2::gentoo, 3.9.4_p1::gentoo
dev-lang/rust:            1.51.0-r2::gentoo
dev-util/ccache:          4.2.1::gentoo
dev-util/cmake:           3.18.5::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1-r1::gentoo
sys-apps/sandbox:         2.23::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.3-r1::gentoo
sys-devel/binutils:       2.35.2::gentoo
sys-devel/gcc:            11.1.0::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.12::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r7::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://backup.rellim.com/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: --exclude ChangeLog* --delete-excluded
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24

brother-overlay
    location: /var/lib/layman/brother-overlay
    sync-type: laymansync
    sync-uri: https://github.com/stefan-langenmaier/brother-overlay.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=haswell -fcommon"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/apache2-php7.4/ext-active/ /etc/php/apache2-php8.0/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cgi-php8.0/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/php/cli-php8.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=haswell -fcommon"
DISTDIR="/var/cache/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --with-bdeps=y --backtrack=15"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs cgroup config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sfperms splitdebug unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.mirrors.hoobly.com/ rsync://gentoo.gossamerhost.com/gentoo-distfiles/ ftp://mirror.datapipe.net/gentoo http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ ftp://mirror.csclub.uwaterloo.ca/gentoo-distfiles/"
LANG="en_US.utf8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-O1,--hash-style=gnu,--enable-new-dtags"
LINGUAS="en en_US"
MAKEOPTS="-j5 -l6"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude ChangeLog* --delete-excluded"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp/"
USE="X a52 aac aacplus aacs aalib acl adns aesicm aften aio alaw alsa amd64 amr ao apache2 archive ares aspell avahi avresample avx bash-completion bcmath berkdb binfilter bluray bzip2 cacert cairo calendar caps cdda cgi cgroup cli community corefonts cron crypt cscope cups curl daap dane dav1d dbi dbus dirac dlna dri drm dvbcsa dvben50221 dvd ecwj2k egl elogind enca encode examples exif exit exiv2 extraengine faac faad fdk ffmpeg ffmpegthumbnailer fftw firmware flac fontconfig fontforge foomaticdb fortran fping fpm fpx g722 g729 gbm gcrypt gd gdbm geoip geos gif gimp git glamor glib gml gmp gmplayer gnome-keyring gnuplot gnutls gpg gphoto2 gps gs gsm gtk gtk3 gui hardened harfbuzz hddtemp hdf hdf5 hdri highlight http http2 hwdb iconv icu id3tag ilbc imagemagick imap infinality inifile inotify introspection ipmi iproute2 ipv6 jack java javascript jbig jce jemalloc jpeg jpeg2k json lcms libass libedit libextractor libglvnd liblockfile libnotify libsamplerate libsecret libsoxr libtirpc lmdb lto lxc lz4 lzma lzo mad magic managesieve matroska mbox memcached mhash mjpeg mmap mmx mmxext mng mp3 mp4 mpeg mtp multilib mysql ncurses netcdf netlink network nfs nfsv4 nfsv41 nodrm nptl nsplugin offensive ogdi ogg openal openexr opengl openmp openssl openvg opus osmesa pam pango pcap pch pcntl pcre pdf pdfimport pdo perl pgo pkcs7 plotutils plugins png policykit postproc ppds printsupport pth pulseaudio python q32 q8 qt4 qt5 rar raw readline realtime rle romio rpc rpz rrl rtmp scanner schroedinger scrypt sctp seccomp server sharedmem slp smi smime smp sndfile snmp sockets spamassassin speex spell sphinx split-usr sqlite sqlite3 sse sse2 sse3 sse4_1 ssh ssl ssse3 stats subtitles svg syslog szip t1lib taglib tcpd theora thin-splines threads threadsafe thumbnail tiff tk tokudb tools truetype twolame udev uefi ulaw unbound unicode upcall update_drivedb urandom usb utils v4l2 vaapi vhosts vim-syntax vlc vorbis vorbix vpx wav wavpack webkit webkit2 webp wg-quick widgets wikipedia winbind wmf x264 xattr xcb xface xine xinerama xml xmp xmpp xorg xpm xslt xvfb xvid xz zeroconf zip zlib zstd" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_core authn_dbm authn_file authz_core authz_dbm authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir env expires ext_filter file_cache filter headers include info log_config logio mime mime_magic negotiation rewrite setenvif socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias http2 proxy proxy_fcgi" APACHE2_MPMS="worker" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" L10N="en en-US" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" NGINX_MODULES_HTTP="auth_pam mp4 access auth_basic autoindex browser charset empty_gif fastcgi geo grpc gzip limit_conn limit_req map memcached mirror proxy referer rewrite scgi split_clients ssi upstream_hash upstream_ip_hash upstream_keepalive upstream_least_conn upstream_zone userid uwsgi" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_8" PYTHON_TARGETS="python3_8" RUBY_TARGETS="ruby25 ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="vesa" VOICEMAIL_STORAGE="file imap" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, RUSTFLAGS
Comment 1 Gary E. Miller 2021-05-28 19:06:19 UTC
Created attachment 712029 [details]
build log

build log
Comment 2 Sam James archtester gentoo-dev Security 2021-05-28 19:07:03 UTC
FWIW, you are going to hit stuff like this if you use GCC 11 on stable even more than in ~arch.
Comment 3 Gary E. Miller 2021-05-28 19:13:45 UTC
(In reply to Sam James from comment #2)
> FWIW, you are going to hit stuff like this if you use GCC 11 on stable even
> more than in ~arch.

Yes.  I'm happy to be a guinea pig.
Comment 4 Sam James archtester gentoo-dev Security 2021-05-28 19:15:20 UTC
(In reply to Gary E. Miller from comment #3)
> (In reply to Sam James from comment #2)
> > FWIW, you are going to hit stuff like this if you use GCC 11 on stable even
> > more than in ~arch.
> 
> Yes.  I'm happy to be a guinea pig.

But my point is (and thanks for being one, genuinely), you're going to hit some issues where the stable packages aren't yet fixed, but the ~arch ones are. It's going to make it a bit of a pain for you to figure out which issues are 'valid'.

It SHOULD be mostly okay if you use ~arch dev-qt/* and kde-*/* or avoid those though.
Comment 5 Larry the Git Cow gentoo-dev 2021-05-28 19:54:38 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63c3ff1cf7c798b0d1e79b3c288c81f2412ce8a3

commit 63c3ff1cf7c798b0d1e79b3c288c81f2412ce8a3
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-05-28 19:54:22 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-05-28 19:54:30 +0000

    media-video/mkvtoolnix: add 57.0.0
    
    Closes: https://bugs.gentoo.org/792678
    Signed-off-by: Sam James <sam@gentoo.org>

 media-video/mkvtoolnix/Manifest                 |   1 +
 media-video/mkvtoolnix/mkvtoolnix-57.0.0.ebuild | 131 ++++++++++++++++++++++++
 2 files changed, 132 insertions(+)